/*
 * @(#)gx320.h	1.1 (National Semiconductor) 4/5/90 11:57:38
 * @(#) copyrights and other release restrictions may apply
 */

typedef short SFIXED;
typedef int   LFIXED;

typedef struct WCOMPLEX {
	SFIXED re;
	SFIXED im;
} WCOMPLEX ;

typedef struct DCOMPLEX {
	LFIXED re;
	LFIXED im;
} DCOMPLEX;

typedef struct SHORT2 { 
	short s1;
	short s2;
} SHORT2;

/*
 * mulwd 
 */

void   _mulwd(short src1, int *src2);

/*
 * cmuld 
 */

void _cmuld(WCOMPLEX src1,
	    WCOMPLEX src2,
	    DCOMPLEX *result);
/*
 * cmacd 
 */

void _cmacd(DCOMPLEX *accumulator,
	    WCOMPLEX src1,
	    WCOMPLEX src2);

/*
 * mactd 
 */

void _mactd(int *accumulator,
	     SHORT2 src1, 
	     SHORT2 src2);
